controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use yii\data\SqlDataProvider;
use yii\data\ActiveDataProvider;
use app\models\Planetas;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }

    /**
     * Login action.
     *
     * @return Response|string
     */
    public function actionLogin()
    {
        if (!Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        }

        $model->password = '';
        return $this->render('login', [
            'model' => $model,
        ]);
    }

    /**
     * Logout action.
     *
     * @return Response
     */
    public function actionLogout()
    {
        Yii::$app->user->logout();

        return $this->goHome();
    }

    /**
     * Displays contact page.
     *
     * @return Response|string
     */
    public function actionContact()
    {
        $model = new ContactForm();
        if ($model->load(Yii::$app->request->post()) && $model->contact(Yii::$app->params['adminEmail'])) {
            Yii::$app->session->setFlash('contactFormSubmitted');

            return $this->refresh();
        }
        return $this->render('contact', [
            'model' => $model,
        ]);
    }

    /**
     * Displays about page.
     *
     * @return string
     */
    public function actionAbout()
    {
        return $this->render('about');
    }
    
    
    /**LISTVIEW
    public function actionMostrarPlanetas(){
      
        $dataProvider = new ActiveDataProvider([
            'query' => Planetas::find(),
        ]);
        return $this->render("planetas",[
            "dataProvider" =>$dataProvider,
           
        ]);
    }
     * 
     */
    
    /**EMPIEZAN QUERYS PARA LOS DATOS DE LOS PLANETAS**/
    
    
    public function actionMostrar(){
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT nombre, habitabilidad, medioambiente, misiones FROM planetas WHERE nombre= "Venus"',
        ]);
        
        return $this->render("resultado",[
            "mostrarPlanetas"=>$dataProvider,
            "campos"=>['nombre', 'habitabilidad', 'medioambiente', 'misiones'],
            "titulo"=>"Estos son sus planetas",
            "enunciado"=>"Aqui se muestran los datos de cada planeta",
        ]);

    }
    
    public function actionMostrar1(){
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT nombre, habitabilidad, medioambiente, misiones FROM planetas WHERE nombre= "Marte"',
        ]);
        
        return $this->render("resultado",[
            "mostrarPlanetas"=>$dataProvider,
            "campos"=>['nombre', 'habitabilidad', 'medioambiente', 'misiones'],
            "titulo"=>"Estos son sus planetas",
            "enunciado"=>"Aqui se muestran los datos de cada planeta",
        ]);

    }
    
    public function actionMostrar2(){
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT nombre, habitabilidad, medioambiente, misiones FROM planetas WHERE nombre= "Orcus"',
        ]);
        
        return $this->render("resultado",[
            "mostrarPlanetas"=>$dataProvider,
            "campos"=>['nombre', 'habitabilidad', 'medioambiente', 'misiones'],
            "titulo"=>"Estos son sus planetas",
            "enunciado"=>"Aqui se muestran los datos de cada planeta",
        ]);

    }
    
    public function actionMostrar3(){
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT nombre, habitabilidad, medioambiente, misiones FROM planetas WHERE nombre= "Quaoar"',
        ]);
        
        return $this->render("resultado",[
            "mostrarPlanetas"=>$dataProvider,
            "campos"=>['nombre', 'habitabilidad', 'medioambiente', 'misiones'],
            "titulo"=>"Estos son sus planetas",
            "enunciado"=>"Aqui se muestran los datos de cada planeta",
        ]);

    }
    
    public function actionMostrar4(){
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT nombre, habitabilidad, medioambiente, misiones FROM planetas WHERE nombre= "Varuna"',
        ]);
        
        return $this->render("resultado",[
            "mostrarPlanetas"=>$dataProvider,
            "campos"=>['nombre', 'habitabilidad', 'medioambiente', 'misiones'],
            "titulo"=>"Estos son sus planetas",
            "enunciado"=>"Aqui se muestran los datos de cada planeta",
        ]);

    }
    
    public function actionMostrar5(){
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT nombre, habitabilidad, medioambiente, misiones FROM planetas WHERE nombre= "Ixion"',
        ]);
        
        return $this->render("resultado",[
            "mostrarPlanetas"=>$dataProvider,
            "campos"=>['nombre', 'habitabilidad', 'medioambiente', 'misiones'],
            "titulo"=>"Estos son sus planetas",
            "enunciado"=>"Aqui se muestran los datos de cada planeta",
        ]);

    }
    
    public function actionMostrar6(){
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT nombre, habitabilidad, medioambiente, misiones FROM planetas WHERE nombre= "Huya"',
        ]);
        
        return $this->render("resultado",[
            "mostrarPlanetas"=>$dataProvider,
            "campos"=>['nombre', 'habitabilidad', 'medioambiente', 'misiones'],
            "titulo"=>"Estos son sus planetas",
            "enunciado"=>"Aqui se muestran los datos de cada planeta",
        ]);

    }
    
    public function actionMostrar7(){
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT nombre, habitabilidad, medioambiente, misiones FROM planetas WHERE nombre= "Albión"',
        ]);
        
        return $this->render("resultado",[
            "mostrarPlanetas"=>$dataProvider,
            "campos"=>['nombre', 'habitabilidad', 'medioambiente', 'misiones'],
            "titulo"=>"Estos son sus planetas",
            "enunciado"=>"Aqui se muestran los datos de cada planeta",
        ]);

    }
    
    public function actionMostrar8(){
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT nombre, habitabilidad, medioambiente, misiones FROM planetas WHERE nombre= "Salacia"',
        ]);
        
        return $this->render("resultado",[
            "mostrarPlanetas"=>$dataProvider,
            "campos"=>['nombre', 'habitabilidad', 'medioambiente', 'misiones'],
            "titulo"=>"Estos son sus planetas",
            "enunciado"=>"Aqui se muestran los datos de cada planeta",
        ]);

    }
    
    public function actionMostrar9(){
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT nombre, habitabilidad, medioambiente, misiones FROM planetas WHERE nombre= "Gonggong"',
        ]);
        
        return $this->render("resultado",[
            "mostrarPlanetas"=>$dataProvider,
            "campos"=>['nombre', 'habitabilidad', 'medioambiente', 'misiones'],
            "titulo"=>"Estos son sus planetas",
            "enunciado"=>"Aqui se muestran los datos de cada planeta",
        ]);

    }
    
    public function actionMostrar10(){
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT nombre, habitabilidad, medioambiente, misiones FROM planetas WHERE nombre= "Veesta"',
        ]);
        
        return $this->render("resultado",[
            "mostrarPlanetas"=>$dataProvider,
            "campos"=>['nombre', 'habitabilidad', 'medioambiente', 'misiones'],
            "titulo"=>"Estos son sus planetas",
            "enunciado"=>"Aqui se muestran los datos de cada planeta",
        ]);

    }
    
    public function actionMostrar11(){
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT nombre, habitabilidad, medioambiente, misiones FROM planetas WHERE nombre= "Palas"',
        ]);
        
        return $this->render("resultado",[
            "mostrarPlanetas"=>$dataProvider,
            "campos"=>['nombre', 'habitabilidad', 'medioambiente', 'misiones'],
            "titulo"=>"Estos son sus planetas",
            "enunciado"=>"Aqui se muestran los datos de cada planeta",
        ]);

    }
    
    public function actionMostrar12(){
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT nombre, habitabilidad, medioambiente, misiones FROM planetas WHERE nombre= "Hygiea"',
        ]);
        
        return $this->render("resultado",[
            "mostrarPlanetas"=>$dataProvider,
            "campos"=>['nombre', 'habitabilidad', 'medioambiente', 'misiones'],
            "titulo"=>"Estos son sus planetas",

views/site/_resultado-clima.php
<?php
use yii\helpers\ArrayHelper;
use yii\helpers\Html;

?>
<div class="col-sm-12" >
    <div class="card alturaminima">
        <div class="card-body tarjeta">

            <h3 class="tituloObra "><?= Html::img('@web/img/' . $model->nombre . '.png', ['alt' => 'My logo']) ?></h3>
            <h3> <?= $model->nombre ?></h3>
                <p>


                </p>
        </div>
    </div>
</div>

views/site/_resultado-climafrio.php
<?php
use yii\helpers\ArrayHelper;
use yii\helpers\Html;

?>
<div class="col-sm-12" >
    <div class="card alturaminima">
        <div class="card-body tarjeta">

            <h3 class="tituloObra "><?= Html::img('@web/img/' . $model->nombre . '.png', ['alt' => 'My logo']) ?></h3>
            <h3> <?= $model->nombre ?></h3>
                <p>


                </p>
        </div>
    </div>
</div>

views/site/_resultado-climatemplado.php
<?php
use yii\helpers\ArrayHelper;
use yii\helpers\Html;

?>
<div class="col-sm-12" >
    <div class="card alturaminima">
        <div class="card-body tarjeta">

            <h3 class="tituloObra "><?= Html::img('@web/img/' . $model->nombre . '.png', ['alt' => 'My logo']) ?></h3>
            <h3> <?= $model->nombre ?></h3>
                <p>


                </p>
        </div>
    </div>
</div>

views/site/about.php
<?php

/** @var yii\web\View $this */

use yii\helpers\Html;

$this->title = 'About';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-about">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        This is the About page. You may modify the following file to customize its content:
    </p>

    <code><?= __FILE__ ?></code>
</div>

views/site/contact.php
<?php

/** @var yii\web\View $this */
/** @var yii\bootstrap4\ActiveForm $form */
/** @var app\models\ContactForm $model */

use yii\bootstrap4\ActiveForm;
use yii\bootstrap4\Html;
use yii\captcha\Captcha;

$this->title = 'Contact';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-contact">
    <h1><?= Html::encode($this->title) ?></h1>

    <?php if (Yii::$app->session->hasFlash('contactFormSubmitted')): ?>

        <div class="alert alert-success">
            Thank you for contacting us. We will respond to you as soon as possible.
        </div>

        <p>
            Note that if you turn on the Yii debugger, you should be able
            to view the mail message on the mail panel of the debugger.
            <?php if (Yii::$app->mailer->useFileTransport): ?>
                Because the application is in development mode, the email is not sent but saved as
                a file under <code><?= Yii::getAlias(Yii::$app->mailer->fileTransportPath) ?></code>.
                Please configure the <code>useFileTransport</code> property of the <code>mail</code>
                application component to be false to enable email sending.
            <?php endif; ?>
        </p>

    <?php else: ?>

        <p>
            If you have business inquiries or other questions, please fill out the following form to contact us.
            Thank you.
        </p>

        <div class="row">
            <div class="col-lg-5">

                <?php $form = ActiveForm::begin(['id' => 'contact-form']); ?>

                    <?= $form->field($model, 'name')->textInput(['autofocus' => true]) ?>

                    <?= $form->field($model, 'email') ?>

                    <?= $form->field($model, 'subject') ?>

                    <?= $form->field($model, 'body')->textarea(['rows' => 6]) ?>

                    <?= $form->field($model, 'verifyCode')->widget(Captcha::className(), [
                        'template' => '<div class="row"><div class="col-lg-3">{image}</div><div class="col-lg-6">{input}</div></div>',
                    ]) ?>

                    <div class="form-group">
                        <?= Html::submitButton('Submit', ['class' => 'btn btn-primary', 'name' => 'contact-button']) ?>
                    </div>

                <?php ActiveForm::end(); ?>

            </div>
        </div>

    <?php endif; ?>
</div>

views/site/destinos.php
<?php

use app\models\Planetas;
use yii\helpers\Html;
use yii\helpers\Url;
use yii\grid\ActionColumn;
use yii\grid\GridView;

/** @var yii\web\View $this */
/** @var yii\data\ActiveDataProvider $dataProvider */

$this->title = 'Destinos';
$this->params['breadcrumbs'][] = $this->title;
?>




<!--ETIQUETASSSSSSS-->
    
    <div class="container-fluid bg-dark mb-auto">
        <div class="row">
            <div class="col-md text-white text-center">
                <h1 class="display-4 text-center margenh">Los mejores destinos a tu alcance</h1>
            </div>
        </div>
        <div class="row">
            <div class="col-md text-white text-center">
                <p class="lead text-white text-center margenparrafo">Aqui podras echarle un vistazo a todos los destinos disponibles para que tengas tus mejores vacaciones intergalacticas.</p>
            </div>
        </div>
    </div>
    
    <div class="body-content">

        <div class="body">

    <!--inicio de la primera fila-->

            <div class="row">

                <!--boton de consulta-->

                <div class="card" style="width: 18rem;">

                    <img src="<?= Yii::getAlias('@web')?>/img/DESTINOS/MARTE.jpg" class="card-img-top" alt="etapa valla">
                    <div class="card-body">

                        <h5 class="card-title">Marte</h5>
                        <p class="card-text">Visita el planeta rojo</p>
                            <p class="card-text"></p>
                        <p>
                            <!-- BOTON POPUP -->


                                <!-- Modal -->
                               <!-- Large modal -->
                                <button type="button" class="btn btn-primary" data-toggle="modal" data-target=".bd-example-modal-lg">Recorrido</button>

                                <div class="modal fade bd-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
                                  <div class="modal-dialog modal-lg">
                                    <div class="modal-content">
                                      <?= Html::img('@web/img/grafico v.jpg', ['alt' => 'Grafico Valladolid']) ?>
                                    </div>
                                  </div>
                                </div>

                            <!-- FIN BOTON POPUP -->
                            
                            <?= Html::a('INFO', ['site/mostrar'],['class'=>'btn btn-warning'])?>

                        </p>
                    </div>
                </div>
                
            </div>
        </div>
        
    </div>
    
    <!--END ETIQUETASSSSSSS-->

views/site/error.php
<?php

/** @var yii\web\View $this */
/** @var string $name */
/** @var string $message */
/** @var Exception$exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php
use yii\helpers\Html;
/** @var yii\web\View $this */

$this->title = 'My Yii Application';
?>
<div class="site-index">

    <div class="jumbotron text-center bg-transparent tituloHome">
        <h1 class="display-4"style="color:">Tu nueva aventura te espera</h1>
        
    </div>

    
    
    <div class="body-content">
        
    <div class="body">
        
       
         

    <!-- CARRUSEL -->
    
    <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
            <ol class="carousel-indicators">
                
               
              <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
            </ol>
        
        <div class="carousel-inner">
            <div class="carousel-item active">
                <img class="d-block w-100" src="<?= Yii::getAlias('@web')?>/img/Slider 1.jpg" >
                <div class="carousel-caption d-none d-md-block" style="color:#4f2e0d">
                    <h3>Haz de la nave tu fortaleza</h3>
                            <p1>Administra tu porpia nave y raciona recursos y armamento.</p1>
                </div>
                
            </div>
            
            <div class="carousel-item">
                <img class="d-block w-100" src="<?= Yii::getAlias('@web')?>/img/Slider 2.jpg" >
                <div class="carousel-caption d-none d-md-block" style="color:#E1BEEF">
                    <h3>El mundo a tu alcance</h3>
                            <p>Visita planetas desconocidos y haz todas las misiones que puedas.</p>
                </div>
               
            </div>
            
            <div class="carousel-item">
                <img class="d-block w-100" src="<?= Yii::getAlias('@web')?>/img/Slider 3.jpg" >
                <div class="carousel-caption d-none d-md-block" style="color:#E1F5FE">
                    <h3>Recluta a los mejores</h3>
                            <p1>Podras reclutar y personalizar tu propia tripulación para disponer de los mejores tripulantes.</p1>
                </div>
            </div>
        </div>
        
        <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
          <span class="carousel-control-prev-icon" aria-hidden="true"></span>
          <span class="sr-only">Previous</span>
        </a>
        
        <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
          <span class="carousel-control-next-icon" aria-hidden="true"></span>
          <span class="sr-only">Next</span>
        </a>
        
    </div>
    
    <br>
    
    <!-- FIN CARRUSEL -->  
        
        
            
        

    </div>
    
    
    <div class="container-fluid bg-dark mb-auto">
        <div class="row">
            <div class="col-md text-white text-center">
                <h1 class="display-4 text-center margenh">Las posibilidades son infinitas</h1>
            </div>
        </div>
        <div class="row">
            <div class="col-md text-white text-center">
                <p class="lead text-white text-center margenparrafo">Desde tu propia nave y tripulación, hasta los insidiosos lugares que puedes explorar, sin siguiera mencionar el basto cosmos 
                        el cual será una constante a lo largo de tu aventura, y del cual podrás desentrañar misterios a medida que vas abriéndote 
                        paso entre peligros tales como facciones enemigas o las dificultades ambientales que pondrán a prueba hasta el último 
                        tornillo de tu nave.</p>
            </div>
        </div>
    </div>
        
</div>
        

views/site/login.php
<?php

/** @var yii\web\View $this */
/** @var yii\bootstrap4\ActiveForm $form */
/** @var app\models\LoginForm $model */

use yii\bootstrap4\ActiveForm;
use yii\bootstrap4\Html;

$this->title = 'Login';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-login">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>Please fill out the following fields to login:</p>

    <?php $form = ActiveForm::begin([
        'id' => 'login-form',
        'layout' => 'horizontal',
        'fieldConfig' => [
            'template' => "{label}\n{input}\n{error}",
            'labelOptions' => ['class' => 'col-lg-1 col-form-label mr-lg-3'],
            'inputOptions' => ['class' => 'col-lg-3 form-control'],
            'errorOptions' => ['class' => 'col-lg-7 invalid-feedback'],
        ],
    ]); ?>

        <?= $form->field($model, 'username')->textInput(['autofocus' => true]) ?>

        <?= $form->field($model, 'password')->passwordInput() ?>

        <?= $form->field($model, 'rememberMe')->checkbox([
            'template' => "<div class=\"offset-lg-1 col-lg-3 custom-control custom-checkbox\">{input} {label}</div>\n<div class=\"col-lg-8\">{error}</div>",
        ]) ?>

        <div class="form-group">
            <div class="offset-lg-1 col-lg-11">
                <?= Html::submitButton('Login', ['class' => 'btn btn-primary', 'name' => 'login-button']) ?>
            </div>
        </div>

    <?php ActiveForm::end(); ?>

    <div class="offset-lg-1" style="color:#999;">
        You may login with <strong>admin/admin</strong> or <strong>demo/demo</strong>.<br>
        To modify the username/password, please check out the code <code>app\models\User::$users</code>.
    </div>
</div>

views/site/resultado-clima.php
<?php
use yii\helpers\Html;
use yii\widgets\ListView;


$this->title = 'Planetas Calidos';
?>
<div class="row">
    <div class=" body-content" style="color:#4A4A4A">
        <h1 class="encabezadoObras">Planetas Calidos</h1>

            <?=
            ListView::widget([
                'dataProvider' => $dataProvider,
                'itemView' => '_resultado-clima',
                'layout' => " \n {items} \n\n{pager}",
                'itemOptions' => [
                    'class' => 'list-view-planetas',
                ],
            ]);
            ?>

    </div>
</div>

views/site/resultado-climafrio.php
<?php
use yii\helpers\Html;
use yii\widgets\ListView;


$this->title = 'Planetas Frios';
?>
<div class="row">
    <div class=" body-content" style="color:#4A4A4A">
        <h1 class="encabezadoObras">Planetas Calidos</h1>

            <?=
            ListView::widget([
                'dataProvider' => $dataProvider,
                'itemView' => '_resultado-climafrio',
                'layout' => " \n {items} \n\n{pager}",
                'itemOptions' => [
                    'class' => 'list-view-planetas',
                ],
            ]);
            ?>

    </div>
</div>

views/site/resultado-climatemplado.php
<?php
use yii\helpers\Html;
use yii\widgets\ListView;


$this->title = 'Planetas Templados';
?>
<div class="row">
    <div class=" body-content" style="color:#4A4A4A">
        <h1 class="encabezadoObras">Planetas Templados</h1>

            <?=
            ListView::widget([
                'dataProvider' => $dataProvider,
                'itemView' => '_resultado-climatemplado',
                'layout' => " \n {items} \n\n{pager}",
                'itemOptions' => [
                    'class' => 'list-view-planetas',
                ],
            ]);
            ?>

    </div>
</div>

views/site/resultado.php
<?php
use yii\grid\GridView;
?>

<div class="fondo">
    <div class="jumbotron">
        <h2><?=$titulo?></h2>
    
        <p class="lead"><?= $enunciado ?></p>
    </div>

    <?= GridView::widget([
        'dataProvider' => $mostrarPlanetas,
        'columns'=>$campos,
        
        ]); 
    ?>
</div>

views/site/showCards.php
<?php

/* 
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Scripting/EmptyPHP.php to edit this template
 */